Bug 1314151 - [DOCS] Document runc package on Atomic Host
[DOCS] Document runc package on Atomic Host
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-RHEL-Atomic (Show other bugs)
7.2
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Yoana Ruseva
Vikram Goyal
Vikram Goyal
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 23:36 EST by Vikram Goyal
Modified: 2016-04-11 10:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-11 10:33:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2016-03-02 23:36:28 EST
From the 7.2.2 release, runc package is installed on Atomic Host.

We need to document this package:

* why do we need runc
* how do we install it
* real world examples and scenarios

Which Guide?
Getting Started with Containers

Trello Board:
https://trello.com/c/87f5RSt3/21-build-runc-0-x-for-rhel-ah

More information:
https://runc.io/
Comment 4 Yoana Ruseva 2016-04-05 13:34:21 EDT
Hi Mrunal, 

What does the --cgroups=container:<id> option do? I couldn't see it with "runc --help" upstream (F23).

Also, making a note here we need to document "runc list" and "runc exec".

Currently published docs are here:

https://access.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/getting-started-with-containers/#running_containers_with_runc
Comment 5 Mrunal Patel 2016-04-05 13:54:00 EDT
Hi,
Yoana, no such option exists today. So, it need not be documented.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.